#include <stdio.h>

int long long N,K,X;

int main()
{
    scanf("%lld%lld%lld",&N,&K,&X);

    if(K==3){
     if(N>3){
     for(int i=0;i<N-4;i++) printf("%lld ",X/2);
     printf("%lld 0 0 0",X+1);
     }
     else printf("%lld %lld 0",X+X,X);
    }

    return 0;
}